# Rule to link busybox - also used during CONFIG_KALLSYMS
# May be overridden by arch/$(ARCH)/Makefile
quiet_cmd_busybox__ ?= LINK $@
- cmd_busybox__ ?= scripts/trylink $(CC) -o $@ \
+ cmd_busybox__ ?= $(srctree)/scripts/trylink $(CC) -o $@ \
-Wl,--warn-common -Wl,--sort-common -Wl,--gc-sections \
-Wl,--start-group $(busybox-all) -Wl,--end-group \
@echo ' SPLIT include/autoconf.h -> include/config/*'
@scripts/basic/split-include include/autoconf.h include/config
@echo ' GEN include/bbconfigopts.h'
- @scripts/mkconfigs >include/bbconfigopts.h
+ @$(srctree)/scripts/mkconfigs >include/bbconfigopts.h
@$(MAKE) $(build)=scripts
@echo ' GEN include/usage_compressed.h'
- @scripts/usage_compressed include/usage_compressed.h scripts
+ @$(srctree)/scripts/usage_compressed include/usage_compressed.h scripts
@touch $@
# Generate some files
.PHONY: objsizes
objsizes: busybox_unstripped
- $(SHELL) $(srctree)/scripts/objsizes
+ $(srctree)/scripts/objsizes
# Documentation Targets
.PHONY: doc
* which depend on other symbols, which themself are off.
* Provide them here by hand. Need a better idea. */
+#ifndef ENABLE_FEATURE_GUNZIP_UNCOMPRESS
+#define ENABLE_FEATURE_GUNZIP_UNCOMPRESS 0
+#define USE_FEATURE_GUNZIP_UNCOMPRESS(...)
+#define SKIP_FEATURE_GUNZIP_UNCOMPRESS(...) __VA_ARGS__
+#endif
+
#ifndef ENABLE_KILLALL5
#define ENABLE_KILLALL5 0
#define USE_KILLALL5(...)
--- /dev/null
+#!/bin/sh
+# Generates a small Makefile used in the root of the output
+# directory, to allow make to be started from there.
+# The Makefile also allow for more convinient build of external modules
+
+# Usage
+# $1 - Kernel src directory
+# $2 - Output directory
+# $3 - version
+# $4 - patchlevel
+
+
+test ! -r $2/Makefile -o -O $2/Makefile || exit 0
+echo " GEN $2/Makefile"
+
+cat << EOF > $2/Makefile
+# Automatically generated by $0: don't edit
+
+VERSION = $3
+PATCHLEVEL = $4
+
+KERNELSRC := $1
+KERNELOUTPUT := $2
+
+MAKEFLAGS += --no-print-directory
+
+.PHONY: all \$(MAKECMDGOALS)
+
+all:
+ \$(MAKE) -C \$(KERNELSRC) O=\$(KERNELOUTPUT)
+
+Makefile:;
+
+\$(filter-out all Makefile,\$(MAKECMDGOALS)) %/:
+ \$(MAKE) -C \$(KERNELSRC) O=\$(KERNELOUTPUT) \$@
+EOF